package router

import (
	"wayne/go-admin/controller/admin"
	"wayne/go-admin/middleware"

	"github.com/gin-gonic/gin"
)

func AdminRouter(r *gin.Engine) {
	adminRouter := r.Group("/adminapi/v1")
	{
		adminRouter.POST("/priv/login", middleware.CheckJWT, admin.Priv{}.Login)
		adminRouter.GET("/priv/adminlist", middleware.CheckJWT, admin.Priv{}.AdminList)
	}
}
